Get transaction info by contract address

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

FieldTypeDescription
data[i].txIDStringTransaction ID(Hash).
data[i].blockNumberIntegerThe block number.
data[i].block_timestampLongThe block timestamp.(Unit:millisecond)
data[i].ret.contractRetstring[]Transaction Execution Results.
data[i].ret.feeLongTransaction fee.(Unit:sun)
data[i].signaturestring[]Transaction signature.
data[i].raw_data_hexstringThe transaction's raw data. (Format: hex)
data[i].raw_dataTransactionTransaction content. See here for details.
data[i].energy_feeLongThe amount of TRX burned for Energy. (Unit: sun)
data[i].energy_usageLongThe amount of Energy consumed by the sender's account.
data[i].energy_usage_totalLongThe total amount of Energy consumed by the transaction.
data[i].net_feeLongThe amount of TRX burned to pay for the Bandwidth.
data[i].net_usageLongThe amount of Bandwidth consumed.
data[i].internal_transactionsstring[]An array of internal transactions. See here for details.
data[i].fee_limitLongThe transaction's FeeLimit. See here for details. (Unit: sun)
data[i].ref_block_bytesStringThe last two bytes of the reference block's number (height), used for transaction validation.
data[i].ref_block_hashStringBytes 8 to 16 of the reference block's hash, used for transaction validation.
data[i].expirationLongTransaction expiration time. (Unit: millisecond)
data[i].timestampLongThe block timestamp. (Unit: millisecond)
successBooleanWhether the request was successful.
meta.atLongThe response timestamp. (Unit: millisecond)
meta.page_sizeIntegerThe number of items returned on the current page.
meta.fingerprintStringThe fingerprint for paginating to the next page.
meta.links.nextStringThe URL for the next page of results.
Path Params
string
required

The address of contract (format: Base58 or Hex). Example: TG3XXyExBkPp9nzdajDZsozEu4BkaSJozs

Query Params
boolean

Set to true to return only confirmed [items]; set to false to return both confirmed and unconfirmed [items]. Cannot be used simultaneously with only_unconfirmed. (Default: false)

boolean

Set to true to return only unconfirmed [items]; set to false to return both confirmed and unconfirmed [items]. Cannot be used simultaneously with only_confirmed. (Default: false)

date-time

The minimum block timestamp to filter by. (Unit: milliseconds, Default: 0)

date-time

The maximum block timestamp to filter by. (Unit: milliseconds, Default: current time)

string

Specifies the sort order. block_timestamp,asc | block_timestamp,desc (default).

string

The fingerprint for pagination, obtained from the meta.fingerprint field of a previous response. Note: When using fingerprint, all other parameters must remain the same.

int32

The maximum number of transactions to return per page. (Default: 20,Max: 200)

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json